import junit.framework.TestCase;

public class Test_Baby extends TestCase {
  
  /**
   * Baby calvin = new Baby(125)  // weight = 125 ounces at instantiation
   * calvin.getWeight()  returns 125.
   * calvin.tryFeed()  returns "Slurp, slurp, slurp..."
   * calvin.getWeight() returns 127.
   * calvin.getWeight() returns 127.
   * calvin.tryFeed() returns "Waaaaa! Waaaaa!"
   * calvin.getWeight() returns 126.   (Don't ask why--you don't want to know!)
   * calvin.getWeight() returns 126.
   * calvin.tryFeed() returns "Slurp, slurp, slurp..."
   * calvin.tryFeed() returns "Waaaaa! Waaaaa!"
   * calvin.tryFeed() returns "Slurp, slurp, slurp..."
   * calvin.getWeight() returns 129
   */
  public void test_feed_weight() {
    Baby calvin = new Baby(125);
    assertEquals("birth weight", 125, calvin.getWeight());
    assertEquals("1 feeding","Slurp, slurp, slurp...", calvin.tryFeed());
    assertEquals("after 1 feeding weight", 127, calvin.getWeight());
    assertEquals("after 1 feeding weight, again", 127, calvin.getWeight());
    assertEquals("2nd feeding","Waaaaa! Waaaaa!", calvin.tryFeed());
    assertEquals("after 2 feedings weight", 126, calvin.getWeight());
    assertEquals("after 2 feedings weight, again", 126, calvin.getWeight());
    assertEquals("3rd feeding","Slurp, slurp, slurp...", calvin.tryFeed());
    assertEquals("4th feeding","Waaaaa! Waaaaa!", calvin.tryFeed());
    assertEquals("5th feeding","Slurp, slurp, slurp...", calvin.tryFeed());
    assertEquals("after 5 feedings", 129, calvin.getWeight());
    
  }
  
}
